Show / Hide Table of Contents

# Struct AtkTextNode

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: FFXIVClientStructs.Component.GUI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AtkTextNode

### Fields

| Improve this Doc View Source

#### AlignmentFontType

##### Declaration

    public byte AlignmentFontType

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### AtkResNode

##### Declaration

    public AtkResNode AtkResNode

##### Field Value

Type | Description
--- | ---
AtkResNode |

| Improve this Doc View Source

#### BackgroundColor

##### Declaration

    public FFXIVByteColor BackgroundColor

##### Field Value

Type | Description
--- | ---
FFXIVByteColor |

| Improve this Doc View Source

#### CharSpacing

##### Declaration

    public byte CharSpacing

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### EdgeColor

##### Declaration

    public FFXIVByteColor EdgeColor

##### Field Value

Type | Description
--- | ---
FFXIVByteColor |

| Improve this Doc View Source

#### FontSize

##### Declaration

    public byte FontSize

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### LineSpacing

##### Declaration

    public byte LineSpacing

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### NodeText

##### Declaration

    public FFXIVString NodeText

##### Field Value

Type | Description
--- | ---
FFXIVString |

| Improve this Doc View Source

#### SelectEnd

##### Declaration

    public uint SelectEnd

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SelectStart

##### Declaration

    public uint SelectStart

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SheetType

##### Declaration

    public byte SheetType

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### TextColor

##### Declaration

    public FFXIVByteColor TextColor

##### Field Value

Type | Description
--- | ---
FFXIVByteColor |

| Improve this Doc View Source

#### TextFlags

##### Declaration

    public byte TextFlags

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### TextFlags2

##### Declaration

    public byte TextFlags2

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### TextId

##### Declaration

    public uint TextId

##### Field Value

Type | Description
--- | ---
System.UInt32 |